import { Logging as LoggingClass } from "./base.js";
export { Logging } from "./base.js";
export { ConsoleAdapter } from "./consolewriter.js";
export { ILoggingOptions, INativeFunctions } from "./base.js";

export {
   Adapter,
   LoggingTypes,
   Message,
   FormatConfig,
   DefaultFormatConfig as DefaultColorMap,
   IColors as Colors,
   Format,
   TerminalFormats,
   Formatted,
   IFormatted,
} from "./types.js";

const Logging = new LoggingClass();

export default Logging;
